clearvars global
clear
clc


load calibration.mat


global n_k  perturb


mu=0.001;

%now we can simulate the gamma function. Let's loop over
%all types, perturb their labor supply and see how wages
%adust due to new matching

 


for i=1:n_k
    
    
    disp('perturbing labor of:')
    disp(i)
    
    perturb=income_initial(i);
    
    epsilon=10000;
   
    
    for j=1:n_k
        if abs(income_initial(j)-perturb)<epsilon
            eta_function(j) = 1/epsilon* exp( - 1./(1-((income_initial(j)-perturb)./epsilon).^2) ) ;
        else
            eta_function(j)=0;
        end
    end
    
     
    if i==1
        eta_function=eta_function';
    end
    
    
    eta_function =  eta_function/sum(eta_function);
    
    
    income_initial = labor_initial.*wage_initial;
    
    
    labor=labor_initial .* (1+ mu*eta_function );
    
    Yy = sum(pmf.*wage_initial.*labor);
    
    
     

    
    
    doof=matching_manual_auxil2(labor,Yy,0.5*wage_initial(1),10*wage_initial(1),cdf,auxil);
    toc
    m=doof(1,:);
    w=doof(2,:);
    m_prime=doof(3,:);
    
    
    [factor]=fsolve(@fix_scaling_ex_labor,1,options,w',labor,pmf,Yy);
    
    
    Yy_old=Yy;
    
    
    w=factor*w;
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    gamma1(:,i)= ((w'-wage_initial)./wage_initial)/mu;
    
    
     
    %gamma1(n_k,i)=gamma1(n_k-1,i);
     
    
    
    
    Yy = sum(pmf.*w'.*labor);
    
    gdp_loop(i) = Yy;
    
    
    w_array(:,i)=w';
    
     match_matrix(:,i)=m';
    m_prime_matrix(:,i)=m_prime';
    
    
    
    
    
    
    
    
    
end








save gamma.mat






